      program xyd2jd
!
!     Exercise driver for subroutines jd2yd and yd2jd
!
!     B. Knapp, 95.09.25
!
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
!
      real*8 yd1, jd1, yd2
!
    1 write(*,'(/a$)') ' Date (yyyyddd.dd)? '
      read(*,*) yd1
!
      call yd2jd( yd1, jd1 )
      write(*,10) yd1, jd1
   10 format( ' YD', f24.14, ' = JD', f24.14 )
!
      call jd2yd( jd1, yd2 )
      write(*,20) jd1, yd2
   20 format( ' JD', f24.14, ' = YD', f24.14 )
      goto 1
      end
